variables:
  AWS_BUILD_SUBDIR: provider/notification-aws/build-aws
  AWS_TEST_SUBDIR: testing/notification-test-aws
  AWS_SERVICE: notification
  AWS_ENVIRONMENT: dev
  AWS_DEPLOY_TARGET: EKS
  AWS_EKS_DEPLOYMENT_NAME: os-notification

  AZURE_SERVICE: notification
  AZURE_BUILD_SUBDIR: provider/notification-azure
  AZURE_TEST_SUBDIR: testing/notification-test-azure
  AZURE_DEPLOYMENTS_SUBDIR: deployments/scripts/azure
  AZURE_COVERAGE_THRESHOLD: 80

  IBM_BUILD_SUBDIR: provider/notification-ibm
  IBM_INT_TEST_SUBDIR: testing/notification-test-ibm

include:
  - project: "osdu/platform/ci-cd-pipelines"
    file: "standard-setup.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "build/maven.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/fossa-maven.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/gitlab-ultimate.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/azure.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/osdu-gcp-global.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/aws-global.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/aws-maven.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/ibm.yml"

  - local: "devops/gcp/pipeline/override-stages.yml"
